Categories:
  - Internet
License: MIT
WebSite: https://textbrowser.github.io/smoke/
SourceCode: https://github.com/textbrowser/smoke
IssueTracker: https://github.com/textbrowser/smoke/issues

AutoName: Smoke

RepoType: git
Repo: https://github.com/textbrowser/smoke.git

Builds:
  - versionName: 2020.12.25
    versionCode: 20201225
    commit: 2020.12.25
    subdir: Smoke/app
    gradle:
      - yes
    output: build/outputs/apk/release/apk/smoke.apk
    rm:
      - Smoke/app/libs/*
    prebuild: sed -i -e '/bcprov-ext-jdk15on-168/d' -e "/fileTree/aimplementation
        'org.bouncycastle:bcprov-ext-jdk15on:1.68'" -e '/MissingTranslation/aabortOnError\
        false' build.gradle

  - versionName: 2021.01.10
    versionCode: 20210110
    commit: 2021.01.10
    subdir: Smoke/app
    gradle:
      - yes
    output: build/outputs/apk/release/apk/smoke.apk
    rm:
      - Smoke/app/libs/*
    prebuild: sed -i -e '/bcprov-ext-jdk15on-168/d' -e "/fileTree/aimplementation
        'org.bouncycastle:bcprov-ext-jdk15on:1.68'" -e '/MissingTranslation/aabortOnError\
        false' build.gradle

  - versionName: 2021.01.20
    versionCode: 20210120
    commit: 2021.01.20
    subdir: Smoke/app
    gradle:
      - yes
    output: build/outputs/apk/release/apk/smoke.apk
    rm:
      - Smoke/app/libs/*
    prebuild: sed -i -e '/bcprov-ext-jdk15on-168/d' -e "/fileTree/aimplementation
        'org.bouncycastle:bcprov-ext-jdk15on:1.68'" -e '/MissingTranslation/aabortOnError\
        false' build.gradle

  - versionName: 2021.01.30
    versionCode: 20210130
    commit: 2021.01.30
    subdir: Smoke/app
    gradle:
      - yes
    output: build/outputs/apk/release/apk/smoke.apk
    rm:
      - Smoke/app/libs/*
    prebuild: sed -i -e '/bcprov-ext-jdk15on-168/d' -e "/fileTree/aimplementation
        'org.bouncycastle:bcprov-ext-jdk15on:1.68'" -e '/MissingTranslation/aabortOnError\
        false' build.gradle

  - versionName: 2021.02.10
    versionCode: 20210210
    commit: 2021.02.10
    subdir: Smoke/app
    gradle:
      - yes
    output: build/outputs/apk/release/apk/smoke.apk
    rm:
      - Smoke/app/libs/*
    prebuild: sed -i -e '/bcprov-ext-jdk15on-168/d' -e "/fileTree/aimplementation
        'org.bouncycastle:bcprov-ext-jdk15on:1.68'" -e '/MissingTranslation/aabortOnError\
        false' build.gradle

  - versionName: 2021.02.25
    versionCode: 20210225
    commit: 2021.02.27
    subdir: Smoke/app
    gradle:
      - yes
    output: build/outputs/apk/release/apk/smoke.apk
    rm:
      - Smoke/app/libs/*
    prebuild: sed -i -e '/bcprov-ext-jdk15on-168/d' -e "/fileTree/aimplementation
        'org.bouncycastle:bcprov-ext-jdk15on:1.68'" -e '/MissingTranslation/aabortOnError\
        false' build.gradle

  - versionName: 2021.03.20
    versionCode: 20210320
    commit: 2021.03.20
    subdir: Smoke/app
    gradle:
      - yes
    output: build/outputs/apk/release/apk/smoke.apk
    rm:
      - Smoke/app/libs/*
    prebuild: sed -i -e '/bcprov-ext-jdk15on-168/d' -e "/fileTree/aimplementation
        'org.bouncycastle:bcprov-ext-jdk15on:1.68'" -e '/MissingTranslation/aabortOnError\
        false' build.gradle

  - versionName: 2021.07.07
    versionCode: 20210707
    commit: 942e0896f89f07609d087dee2d1c07ab51d68542
    subdir: Smoke/app
    gradle:
      - yes
    output: build/outputs/apk/release/apk/smoke.apk
    rm:
      - Smoke/app/libs/*
    prebuild: sed -i -e '/bcprov-ext-jdk15on-169/d' -e "/fileTree/aimplementation
        'org.bouncycastle:bcprov-ext-jdk15on:1.69'" -e '/MissingTranslation/aabortOnError\
        false' build.gradle

  - versionName: 2021.07.25
    versionCode: 20210725
    commit: fc9aeab86e2117a0343285446b463256a4cd6c10
    subdir: Smoke/app
    gradle:
      - yes
    output: build/outputs/apk/release/apk/smoke.apk
    rm:
      - Smoke/app/libs/*
    prebuild: sed -i -e '/bcprov-ext-jdk15on-169/d' -e "/fileTree/aimplementation
        'org.bouncycastle:bcprov-ext-jdk15on:1.69'" -e '/MissingTranslation/aabortOnError\
        false' build.gradle

AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: 2021.07.25
CurrentVersionCode: 20210725
